﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Globalization;
using System.Threading;

namespace Csharp_Advance_S11E04_part_61
{
    class Program
    {
        static void Main(string[] args)
        {
        menu:
            Console.Clear();
            PrintDateTime();
            Console.WriteLine("\n\t1. View Teacher List");
            Console.WriteLine("\t2. Search a Teacher");
            Console.WriteLine("\t3. Add a Teacher");
            Console.WriteLine("\t4. Delete a Teacher");
            Console.WriteLine("\t5. Edit a Teacher");

            Console.Write($"\n\tPlease Select Item Of Menu: ");
            int menu = Convert.ToInt32(Console.ReadLine());


            switch (menu)
            {
                // واکشی تمام اطلاعات جدول استاد
                case 1:
                    Console.Clear();
                    PrintDateTime();
                    using (Db_TestEntities dataBase = new Db_TestEntities())
                    {
                        List<Teble_Teacher> teacherList = dataBase.Teble_Teacher.ToList();
                        foreach (Teble_Teacher teacher in teacherList)
                        {
                            Console.WriteLine($"id: {teacher.TeacherId}    user: {teacher.TeacherPhonenumber}\tpass: {teacher.TeacherPassword}\tRd: {teacher.RegisterDate}\tA: {teacher.IsActive}");
                        }
                    }
                    Console.Write("\n\nFor Come Back To Menu Enter Any Key...");
                    Console.ReadKey();
                    goto menu;


                case 2:
                    Console.Clear();
                    PrintDateTime();
                    using (Db_TestEntities dataBase = new Db_TestEntities())
                    {
                        Console.Write("\n\tEnter Teacher Phone: ");
                        string phone = Console.ReadLine();
                        Console.Clear();
                        PrintDateTime();
                        // آگر عملیات جستجو با فیلدی غیر از کلید اصلی بود
                        var teacher = dataBase.Teble_Teacher.FirstOrDefault(t => t.TeacherPhonenumber == phone);

                        // اگر عملیات جستجو از روی فیلد کلید اصلی بود
                        //var teacher = dataBase.Teble_Teacher.Find(9);
                        if (teacher!=null)
                        {
                            Console.WriteLine($"id: {teacher.TeacherId}    user: {teacher.TeacherPhonenumber}\tpass: {teacher.TeacherPassword}\tRd: {teacher.RegisterDate}\tA: {teacher.IsActive}");
                        }
                        else
                        {
                            Console.Clear();
                            PrintDateTime();
                            Console.WriteLine("\n\tNot Found...");
                        }
                    }
                    Console.Write("\n\nFor Come Back To Menu Enter Any Key...");
                    Console.ReadKey();
                    goto menu;

                case 3:
                    Console.Clear();
                    PrintDateTime();
                    using (Db_TestEntities dataBase = new Db_TestEntities())
                    {
                        Console.Write("\n\tEnter PhoneNumber: ");
                        string phone1 = Console.ReadLine();
                        Console.Write("\n\tEnter password   : ");
                        string pass1 = Console.ReadLine();

                        dataBase.Teble_Teacher.Add(new Teble_Teacher() 
                        {
                        TeacherPhonenumber= phone1,
                        TeacherPassword= pass1,
                        RegisterDate=DateTime.Now,
                        IsActive=true
                        });
                        dataBase.SaveChanges();
                        Console.Clear();
                        PrintDateTime();
                        Console.WriteLine("\n\tamaliat ba movafaghiat anjam shod ...");

                        Thread.Sleep(2000);
                        goto menu;

                    }







            }


            Console.ReadKey();
        }

        public static void PrintDateTime()
        {
            PersianCalendar pc = new PersianCalendar();
            Console.WriteLine($"{pc.GetYear(DateTime.Now)}/{pc.GetMonth(DateTime.Now)}/{pc.GetDayOfMonth(DateTime.Now)} {pc.GetHour(DateTime.Now)}:{pc.GetMinute(DateTime.Now)}");
            Console.WriteLine("--------------------------------------------------------------------------");
        }
    }
}
